#ifndef ParameterHilfsFunktionen_H
#define ParameterHilfsFunktionen_H

#include "../../diagmanager/OpenTestSystem.OtxDiagManager.Common/ParameterContainer.h"

namespace google
{
	namespace protobuf
	{
		class Message;
	}
}
namespace ProtoGenWrapper
{
	void AddParameter(OpenTestSystem::OtxDiagManager::Common::ParameterContainer* container, int id, int value);
	void AddParameter(OpenTestSystem::OtxDiagManager::Common::ParameterContainer* container, int id, const std::string& value);

	bool GetFromByteParam(const OpenTestSystem::OtxDiagManager::Common::ParameterContainer* container, int id, google::protobuf::Message& msg);
	void AddAsByteParam(OpenTestSystem::OtxDiagManager::Common::ParameterContainer* container, int id, const google::protobuf::Message& msg);

	void AddSerializableParameter(OpenTestSystem::OtxDiagManager::Common::ParameterContainer* container, int id,
		OpenTestSystem::OtxDiagManager::Common::ISerializable& serializable);
#endif // ParameterHilfsFunktionen_H
}